<?php
/**
 * Loads admin view for common message tab.
 *
 * @package miniorange-sms-order-notification-otp-verification/controllers/
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
use WCSMSOTP\Helper\MoMessages;
use WCSMSOTP\Helper\MoUtility;

$mowc_nonce                = $mowc_admin_handler->get_nonce_value();
$mowc_otp_success_email    = get_mo_wc_option( 'success_email_message', 'mo_wc_otp_' ) ? get_mo_wc_option( 'success_email_message', 'mo_wc_otp_' ) : MoMessages::showMessage( MoMessages::OTP_SENT_EMAIL );
$mowc_otp_success_phone    = get_mo_wc_option( 'success_phone_message', 'mo_wc_otp_' ) ? get_mo_wc_option( 'success_phone_message', 'mo_wc_otp_' ) : MoMessages::showMessage( MoMessages::OTP_SENT_PHONE );
$mowc_otp_error_phone      = get_mo_wc_option( 'error_phone_message', 'mo_wc_otp_' ) ? get_mo_wc_option( 'error_phone_message', 'mo_wc_otp_' ) : MoMessages::showMessage( MoMessages::ERROR_OTP_PHONE );
$mowc_otp_error_email      = get_mo_wc_option( 'error_email_message', 'mo_wc_otp_' ) ? get_mo_wc_option( 'error_email_message', 'mo_wc_otp_' ) : MoMessages::showMessage( MoMessages::ERROR_OTP_EMAIL );
$mowc_phone_invalid_format = get_mo_wc_option( 'invalid_phone_message', 'mo_wc_otp_' ) ? get_mo_wc_option( 'invalid_phone_message', 'mo_wc_otp_' ) : MoMessages::showMessage( MoMessages::ERROR_PHONE_FORMAT );
$mowc_email_invalid_format = get_mo_wc_option( 'invalid_email_message', 'mo_wc_otp_' ) ? get_mo_wc_option( 'invalid_email_message', 'mo_wc_otp_' ) : MoMessages::showMessage( MoMessages::ERROR_EMAIL_FORMAT );
$mowc_invalid_otp          = MoUtility::get_invalid_otp_method();
$mowc_otp_blocked_email    = get_mo_wc_option( 'blocked_email_message', 'mo_wc_otp_' ) ? get_mo_wc_option( 'blocked_email_message', 'mo_wc_otp_' ) : MoMessages::showMessage( MoMessages::ERROR_EMAIL_BLOCKED );
$mowc_otp_blocked_phone    = get_mo_wc_option( 'blocked_phone_message', 'mo_wc_otp_' ) ? get_mo_wc_option( 'blocked_phone_message', 'mo_wc_otp_' ) : MoMessages::showMessage( MoMessages::ERROR_PHONE_BLOCKED );

$mowc_messages_view_file = MOV_WC_DIR . 'views/messages.php';
if ( ! MoUtility::mo_require_file( $mowc_messages_view_file, MOV_WC_DIR ) ) {
	return;
}
require $mowc_messages_view_file;
